%define packrel  0
%define packname hdf5

Name: R-%{packname}
Version: 1.6.6
Release: 1%{?dist}
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz
License: GPL
URL: http://cran.r-project.org/contrib
Group: Applications/Engineering
Summary: Interface to the NCSA HDF5 library
BuildRequires: R-devel, tetex-latex, hdf5-devel, zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
R package:
Interface to the NCSA HDF5 library

%prep
%setup -T -c -a 0

%build
cp %{packname}/DESCRIPTION .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
%{_bindir}/R CMD check %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%postun
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%files
%doc DESCRIPTION
%{_libdir}/R/library/%{packname}

%changelog
* Thu Jul  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.6-1
- bump to 1.6.6

* Tue Oct 17 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.4-2
- bump for R 2.4.0

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.4-1
- bump to 1.6.4

* Mon Jul 4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.0-1
- Initial package creation

